package com.ruoyi.ems.service.impl;

import java.util.Date;
import java.util.List;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.ems.domain.EmsFacsAttr;
import com.ruoyi.ems.mapper.EmsFacsAttrMapper;
import com.ruoyi.ems.service.IEmsFacsAttrService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 能源设施/系统属性Service业务层处理
 *
 * @author ruoyi
 * @date 2024-07-10
 */
@Service
public class EmsFacsAttrServiceImpl implements IEmsFacsAttrService {
    @Autowired
    private EmsFacsAttrMapper emsFacsAttrMapper;

    /**
     * 查询能源设施/系统属性
     *
     * @param id 能源设施/系统属性主键
     * @return 能源设施/系统属性
     */
    @Override
    public EmsFacsAttr selectEmsFacsAttrById(Long id) {
        return emsFacsAttrMapper.selectEmsFacsAttrById(id);
    }

    /**
     * 查询能源设施/系统属性列表
     *
     * @param emsFacsAttr 能源设施/系统属性
     * @return 能源设施/系统属性
     */
    @Override
    public List<EmsFacsAttr> selectEmsFacsAttrList(EmsFacsAttr emsFacsAttr) {
        return emsFacsAttrMapper.selectEmsFacsAttrList(emsFacsAttr);
    }

    /**
     * 新增能源设施/系统属性
     *
     * @param emsFacsAttr 能源设施/系统属性
     * @return 结果
     */
    @Override
    public int insertEmsFacsAttr(EmsFacsAttr emsFacsAttr) {
        return emsFacsAttrMapper.insertEmsFacsAttr(emsFacsAttr);
    }

    /**
     * 批量新增能源设施/系统属性
     *
     * @param emsFacsAttrs 能源设施/系统属性
     * @return 结果
     */
    @Override
    public int insertEmsFacsAttrBatch(List<EmsFacsAttr> emsFacsAttrs) {
        return emsFacsAttrMapper.insertEmsFacsAttrBatch(emsFacsAttrs);
    }

    /**
     * 修改能源设施/系统属性
     *
     * @param emsFacsAttr 能源设施/系统属性
     * @return 结果
     */
    @Override
    public int updateEmsFacsAttr(EmsFacsAttr emsFacsAttr) {
        return emsFacsAttrMapper.updateEmsFacsAttr(emsFacsAttr);
    }

    /**
     * 批量删除能源设施/系统属性
     *
     * @param ids 需要删除的能源设施/系统属性主键
     * @return 结果
     */
    @Override
    public int deleteEmsFacsAttrByIds(Long[] ids) {
        return emsFacsAttrMapper.deleteEmsFacsAttrByIds(ids);
    }

    /**
     * 删除能源设施/系统属性信息
     *
     * @param id 能源设施/系统属性主键
     * @return 结果
     */
    @Override
    public int deleteEmsFacsAttrById(Long id) {
        return emsFacsAttrMapper.deleteEmsFacsAttrById(id);
    }

    /**
     * 批量删除能源设施/系统属性
     *
     * @param facsCode 设施编码
     * @return 结果
     */
    @Override
    public int deleteAttrByFacsCode(String facsCode) {
        return emsFacsAttrMapper.deleteEmsFacsAttrByFacsCode(facsCode);
    }
}
